ChangeSet 1.1595.8.10, 2003/07/30 10:37:51-07:00, greg@kroah.com

[PATCH] USB: remove improper use of devinitdata markings for device ids.


 drivers/usb/gadget/net2280.c  |    2 +-
 drivers/usb/host/ehci-hcd.c   |    2 +-
 drivers/usb/host/ohci-pci.c   |    2 +-
 drivers/usb/host/uhci-hcd.c   |    2 +-
 drivers/usb/misc/emi26.c      |    4 ++--
 drivers/usb/net/ax8817x.c     |    2 +-
 drivers/usb/serial/ftdi_sio.c |    2 +-
 7 files changed, 8 insertions(+), 8 deletions(-)


diff -Nru a/drivers/usb/gadget/net2280.c b/drivers/usb/gadget/net2280.c
--- a/drivers/usb/gadget/net2280.c	Fri Aug  1 10:56:09 2003
+++ b/drivers/usb/gadget/net2280.c	Fri Aug  1 10:56:09 2003
@@ -2664,7 +2664,7 @@
 
 /*-------------------------------------------------------------------------*/
 
-static struct pci_device_id __devinitdata pci_ids [] = { {
+static struct pci_device_id pci_ids [] = { {
 	.class = 	((PCI_CLASS_SERIAL_USB << 8) | 0xfe),
 	.class_mask = 	~0,
 	.vendor =	0x17cc,
diff -Nru a/drivers/usb/host/ehci-hcd.c b/drivers/usb/host/ehci-hcd.c
--- a/drivers/usb/host/ehci-hcd.c	Fri Aug  1 10:56:09 2003
+++ b/drivers/usb/host/ehci-hcd.c	Fri Aug  1 10:56:09 2003
@@ -974,7 +974,7 @@
 /* EHCI spec says PCI is required. */
 
 /* PCI driver selection metadata; PCI hotplugging uses this */
-static struct pci_device_id __devinitdata pci_ids [] = { {
+static struct pci_device_id pci_ids [] = { {
 
 	/* handle any USB 2.0 EHCI controller */
 
diff -Nru a/drivers/usb/host/ohci-pci.c b/drivers/usb/host/ohci-pci.c
--- a/drivers/usb/host/ohci-pci.c	Fri Aug  1 10:56:09 2003
+++ b/drivers/usb/host/ohci-pci.c	Fri Aug  1 10:56:09 2003
@@ -351,7 +351,7 @@
 /*-------------------------------------------------------------------------*/
 
 
-static const struct pci_device_id __devinitdata pci_ids [] = { {
+static const struct pci_device_id pci_ids [] = { {
 
 	/* handle any USB OHCI controller */
 	.class =	(PCI_CLASS_SERIAL_USB << 8) | 0x10,
diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Fri Aug  1 10:56:09 2003
+++ b/drivers/usb/host/uhci-hcd.c	Fri Aug  1 10:56:09 2003
@@ -2503,7 +2503,7 @@
 	.hub_control =		uhci_hub_control,
 };
 
-static const struct pci_device_id __devinitdata uhci_pci_ids[] = { {
+static const struct pci_device_id uhci_pci_ids[] = { {
 
 	/* handle any USB UHCI controller */
 	.class = 		((PCI_CLASS_SERIAL_USB << 8) | 0x00),
diff -Nru a/drivers/usb/misc/emi26.c b/drivers/usb/misc/emi26.c
--- a/drivers/usb/misc/emi26.c	Fri Aug  1 10:56:09 2003
+++ b/drivers/usb/misc/emi26.c	Fri Aug  1 10:56:09 2003
@@ -201,7 +201,7 @@
 	return err;
 }
 
-static __devinitdata struct usb_device_id id_table [] = {
+static struct usb_device_id id_table [] = {
 	{ USB_DEVICE(EMI26_VENDOR_ID, EMI26_PRODUCT_ID) },
 	{ }                                             /* Terminating entry */
 };
@@ -231,7 +231,7 @@
 	.name		= "emi26 - firmware loader",
 	.probe		= emi26_probe,
 	.disconnect	= emi26_disconnect,
-	.id_table	= NULL,
+	.id_table	= id_table,
 };
 
 static int __init emi26_init (void)
diff -Nru a/drivers/usb/net/ax8817x.c b/drivers/usb/net/ax8817x.c
--- a/drivers/usb/net/ax8817x.c	Fri Aug  1 10:56:09 2003
+++ b/drivers/usb/net/ax8817x.c	Fri Aug  1 10:56:09 2003
@@ -158,7 +158,7 @@
 };
 
 
-const struct usb_device_id ax8817x_id_table[] __devinitdata = {
+const struct usb_device_id ax8817x_id_table[] = {
 	/* Linksys USB200M */
       {USB_DEVICE(0x077b, 0x2226), driver_info:0x00130103},
 	/* Hawking UF200, TRENDnet TU2-ET100 */
diff -Nru a/drivers/usb/serial/ftdi_sio.c b/drivers/usb/serial/ftdi_sio.c
--- a/drivers/usb/serial/ftdi_sio.c	Fri Aug  1 10:56:09 2003
+++ b/drivers/usb/serial/ftdi_sio.c	Fri Aug  1 10:56:09 2003
@@ -392,7 +392,7 @@
 };
 
 
-static __devinitdata struct usb_device_id id_table_combined [] = {
+static struct usb_device_id id_table_combined [] = {
 	{ USB_DEVICE(FTDI_VID, FTDI_SIO_PID) },
 	{ USB_DEVICE(FTDI_VID, FTDI_8U232AM_PID) },
 	{ USB_DEVICE(FTDI_VID, FTDI_RELAIS_PID) },
